import { defineComponent, onMounted, reactive, ref } from 'vue';
import styles from './suggestion-option.module.less'
import {
  NButton,
  NForm,
  NFormItem,
  NInput,
  NSelect,
  NSpace,
  useMessage
} from 'naive-ui';
import { useRouter } from 'vue-router';
import { useUserStore } from '/src/store/modules/users';
import { gradeToCN } from '/src/utils/contants';
import { sendSms } from '/src/views/login/api';
import { updatePassword } from '@/views/home/api';
import openEye from '/src/views/login/images/openEye.png';
import closeEye from '/src/views/login/images/closeEye.png';
import CSelect from '../../CSelect';
export default defineComponent({
  name: 'train-update',
  emits: ['close', 'submit'],
  setup(props, { emit }) {
    const message = useMessage();
    const userStore = useUserStore();
    const forms = reactive({
      suggestionTypeId: null,
      clientType: 'TEACHER',
      content:'',
      attachmentUrls: ''
    });





    const formsRef = ref();
    const onSubmit = () => {
      console.log('onSubmit')
    }

    return () => (
      <div class={styles.updatePassword}>
        <NForm
          labelAlign="right"
          labelPlacement="left"
          labelWidth={'auto'}
          ref={formsRef}
          model={forms}
          requireMarkPlacement="left">
          {/* <NFormItem
            path="currentClass"
            label=""
            class={styles.phoneContainer}>
            <p class={styles.phone}>{forms.mobile}</p>
          </NFormItem> */}

          <NFormItem>
          <CSelect
                {...({
                  options: [
                    {
                      label: '训练状态',
                      value: null
                    },
                    {
                      label: '已结束',
                      value: 1
                    },
                    {
                      label: '进行中',
                      value: 0
                    }
                  ],
                  placeholder: '训练状态',
                  clearable: true,
                  inline: true
                } as any)}
                v-model:value={forms.suggestionTypeId}></CSelect>
          </NFormItem>

          <NSpace class={styles.updateBtnGroup}>
            <NButton strong type="default" round onClick={() => emit('close')}>
              取消
            </NButton>
            <NButton strong type="primary" round onClick={() => onSubmit()}>
              确认
            </NButton>
          </NSpace>

        </NForm>
      </div>
    );
  }
});
